/*
Theme Name: Novitious Pharma
Theme URI: https://example.com/
Description: Child theme for Twenty Twenty-Five
Author: Your Name
Author URI: https://example.com/
Template: twentytwentyfive
Version: 1.0
*/

/* Your custom styles go below */

.footer-logo img {
   filter: brightness(0) invert(1);
}
.wp-block-navigation.items-justified-right .wp-block-navigation__container .has-child .wp-block-navigation__submenu-container {
   left: 0;
   padding: 10px 0;
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    padding: 4px 10px;
}
.main-header {
    position: fixed;
    z-index: 1;
    width: 100%;
}

.product-card {
    position: relative;
    overflow: hidden;
}

.product-card h2.card-label {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    background: rgb(255 255 255 / 59%);
    border-radius: 40px;
    padding: 14px 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.product-card h2.card-label::after {
  content: "";
  width: 20px;
  height: 20px;
  background-color: currentColor;
  mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='black' d='M3 12h13l-5-5 1.4-1.4L20.8 12l-8.4 8.4L11 19l5-5H3z'/%3E%3C/svg%3E") no-repeat center / contain;
}

.product-card h2.card-label::after {
  transition: transform 0.2s ease;
}

.product-card:hover h2.card-label::after {
  transform: translateX(6px);
}

.img-bg {
    background-color: #e5e5e573;
    border-radius: 20px;
    padding: 10px 20px;
    text-align: center;
}

.stagger-text {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeUp 0.6s ease forwards;
}

.stagger-delay-1 {
  animation-delay: 0.2s;
}

.stagger-delay-2 {
  animation-delay: 0.6s;
}

@keyframes fadeUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

a {
text-decoration: none !important;
}

a:focus,
button:focus {
    outline: unset !important;
}

.menu-inner > .menu-item:last-child a {
    color: var(--wp--preset--color--primary) !important;
    border: solid 1px;
    border-color: var(--wp--preset--color--primary) !important;
    border-radius: 40px;
    padding: 8px 12px;
}

.image-capsule {
  position: relative;
  display: inline-block;
}

.image-capsule img {
  position: relative;
  display: block;
}

.image-capsule::after {
  content: "";
    position: absolute;
    width: 120%;
    height: 90%;
    left: 40%;
    bottom: 20%;
    transform: translateX(-50%) rotate(132deg);
    opacity: 114%;
    border-radius: 999px;
    box-shadow: 16px 0px 30px rgb(0 0 0 / 25%);
}

.custom-col-mobile {
  display: grid !important;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}

.custom-icon-column:hover .icon-box {
  animation: icon-bounce 0.6s ease-out forwards;
}

@keyframes icon-bounce {
  0% {
    transform: translateY(20px);
  }
  50% {
    transform: translateY(-8px);
  }
  75% {
    transform: translateY(4px);
  }
  100% {
    transform: translateY(0);
  }
}

.wp-block-navigation__container > li:last-child {
    border: solid 1px var(--wp--preset--color--custom-blue);
    color: var(--wp--preset--color--custom-blue);
    border-radius: 40px;
    font-style: inherit;
    font-weight: inherit;
    letter-spacing: inherit;
    line-height: inherit;
    padding: .5rem 1.25rem;
    text-decoration: none;
}

.our-custom-bg {
  background-image: url(https://novitiouspharma.com/wp-content/uploads/2025/12/WhatsApp-Image-2025-12-23-at-16.36.37.jpeg);
  background-position: right;
  background-size: cover;
  border-radius: 10px;
  height: -webkit-fill-available;
  position: relative;
}

.overlay-group {
  position: absolute;
  bottom: 20px;
  margin: 20px;
}

.menu-inner > .menu-item:last-child a {
  color: var(--wp--preset--color--primary) !important;
  border: solid 1px;
  border-color: var(--wp--preset--color--primary) !important;
  border-radius: 40px;
  padding: 8px 12px;
  width: auto;
  display: block;
  text-align: center;
}

.table-wrapper {
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
}

table.product-table {
	border-collapse: collapse;
	margin: 0 0 1.5em;
	width: 100%;
  border: 1px solid #bbb;
  font-size: var(--wp--preset--font-size--small);
  min-width: 600px;
}

table.product-table thead th {
	border-bottom: 1px solid #bbb;
	padding-bottom: 0.5em;
}

table.product-table th {
	padding: 0.4em;
	text-align: left;
  border: 1px solid #bbb;
  white-space: nowrap;
}

table.product-table tr {
	border-bottom: 1px solid #eee;
}

table.product-table td {
	padding: 0.4em;
  border: 1px solid #bbb;
  min-width: 100px;
}
.wpcf7-form-control-wrap {
  position: relative;
  width: 100%;
  display: grid;
  height: 40px;
  padding-top: 8px;
}

.apply-form, .contact-form {
  font-size: var(--wp--preset--font-size--small);
}

input.wpcf7-form-control.wpcf7-text,
select.wpcf7-form-control, textarea.wpcf7-form-control {
  border-radius: 10px;
  border: solid 1px #ddd;
  padding: 10px;
}

input.wpcf7-form-control.wpcf7-submit.has-spinner {
  color: var(--wp--preset--color--primary) !important;
  border: solid 1px;
  border-color: var(--wp--preset--color--primary) !important;
  border-radius: 40px;
  padding: 8px 12px;
  width: auto;
  display: block;
  text-align: center;
}

.product-title {
  padding: 10px !important;
  margin-left: 20px !important;
  margin-right: 20px !important;
  border-radius: 25px;
}

.image-wrapper {
  overflow:hidden;
}

.gradient-overlay {
  position: relative;
  z-index: 1;
  transition: transform .3s ease;
  overflow:hidden;
}

.gradient-overlay:hover {
  transform: scale(1.05);
}

.gradient-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to top,
    rgba(0, 0, 0, 0.6),
    rgba(0, 0, 0, 0)
  );
  z-index: 1;
  pointer-events: none; /* gradient never blocks clicks */
}
.product-title {
  position: relative;
  z-index: 2;
  pointer-events: none;
}

.product-title svg {
  transition: transform 0.3s ease;
}

.overlay-container:hover .product-title svg {
  transform: translateX(8px);
}

@media (min-width: 769px) {
  .home-hero, .home-hero-img img {
      height: 100vh;
  }

  .home-hero-content .wp-block-group {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: end;
  }
}

@media (max-width: 768px) {

  .home-hero-img img {
    aspect-ratio: 1 / 1 !important;
  }
  .home-hero {
    flex-direction: column-reverse;
  }
  .about-section {
    padding-inline: 30px;
  }
  .overlay-container .wp-block-group {
    margin-bottom: 20px;
  }

  .wp-block-navigation__submenu-container {
    display: none;
    padding-top: 20px;
  }

  .wp-block-navigation__submenu-container.is-visible {
    display: block;
  }
  :root :where(.is-layout-constrained) > * {
    margin-block-start: 3rem;
  }

  .custom-col-mobile {
    grid-template-columns: repeat(2, 1fr);
  }

  .custom-col-mobile > .wp-block-column {
    width: auto !important;
    flex-basis: auto !important;
  }

  h1 {
      font-size: 3rem !important;
  }

  .has-xx-large-font-size {
      font-size: 3rem !important;
  }
  
  .menu-inner > .menu-item:last-child {
    margin-top: auto;
    margin-bottom: 30px;
  }
}

/* Hide desktop navigation above mobile */
@media (max-width: 1024px) {
  .custom-logo {
    max-width: 130px !important;
  }
}
